{% extends 'base.html.twig' %}
{% block header_title %}Programmes des discours publics année {{ app.request.get('year') }}{% endblock %}
{% block header_subtitle %}{% endblock %}
{% block breadcrumb %}
    <li class="breadcrumb-item active">
        <a href="#">discours publics</a>
    </li>
{% endblock %}
{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
        <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
        <div class="toggle-expand-content" data-content="pageMenu">
            <ul class="nk-block-tools g-3">
                <li class="nk-block-tools-opt">
                    <div class="dropdown">
                        <a class="btn btn-secondary dropdown-toggle" href="#" type="button" data-bs-toggle="dropdown">
                            {{ app.request.get('year') }}
                            <em class="icon ni ni-chevron-down"></em>
                        </a>

                        <div class="dropdown-menu">
                            <ul class="link-list-opt">
                                <li>
                                    <a class="" href="{{ path('app_meeting_weekend_program_list', {'year': '2021'}) }}">
                                        <span>2021</span>
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{ path('app_meeting_weekend_program_list', {'year': '2022'}) }}">
                                        <span>2022</span>
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{ path('app_meeting_weekend_program_list', {'year': '2023'}) }}">
                                        <span>2023</span>
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{ path('app_meeting_weekend_program_list', {'year': '2024'}) }}">
                                        <span>2024</span>
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{ path('app_meeting_weekend_program_list', {'year': '2025'}) }}">
                                        <span>2025</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li class="nk-block-tools-opt"><a href="#" class="btn btn-primary"  data-bs-toggle="modal" data-bs-target="#modalDefault"><em class="icon ni ni-grid-add-fill-c"></em><span>Ajouter un programme</span></a></li>

            </ul>
        </div>
    </div>
{% endblock %}
{% block body %}
    <div class="col-xxl-12 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Programmes</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0 border-top">
                <div class="nk-tb-list nk-tb-orders">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col tb-col"><span>Date</span></div>
                        <div class="nk-tb-col tb-col tb-col-md"><span>Créé par</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Créé le</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Modifié le</span></div>
                        <div class="nk-tb-col"><span>Statut</span></div>
                        <div class="nk-tb-col"><span>&nbsp;</span></div>
                    </div>
                    {% for program in programs %}
                        <div class="nk-tb-item">
                            <div class="nk-tb-col">
                                <span><a href="{{ path('app_meeting_weekend_program_show', {'id': program.id}) }}">{{ program.startDate|format_date('none', 'MMMM y', locale='fr')|capitalize }}  </a></span>
                            </div>
                            <div class="nk-tb-col tb-col-md">
                                <span>{{ program.createdBy.fullName }}</span>
                            </div>
                            <div class="nk-tb-col tb-col-md">
                                <span>{{ program.createdAt|date('d/m/Y') }}</span>
                            </div>
                            <div class="nk-tb-col tb-col-md">
                                <span>
                                    {% if program.updatedAt %}
                                        {{ program.updatedAt|date('d/m/Y') }}
                                    {% endif %}
                                </span>
                            </div>
                            <div class="nk-tb-col">
                                {% if program.isDraft %}
                                    <span class="badge bg-warning">Brouillon</span>
                                    {% else %}
                                        <span class="badge bg-success">Validé</span>
                                {% endif %}
                            </div>
                            <div class="nk-tb-col nk-tb-col-action">
                                <div class="dropdown">
                                    <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                    <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                        <ul class="link-list-plain">
                                            <li><a href="{{ path('app_fieldservice_servicegroup_show', {'id': program.id}) }}">Voir</a></li>
                                            <li><a href="{{ path('app_meeting_weekend_program_edit', {'id': program.id}) }}">Modifier</a></li>
                                            <li><a href="{{ path('app_meeting_weekend_program_export', {'id': program.id}) }}">Télécharger</a></li>
                                            <li><a href="{{ path('app_meeting_weekend_program_delete', {'id': program.id}) }}">Supprimer</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
    <!-- Modal Content Code -->
    <div class="modal fade" tabindex="-1" id="modalDefault">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <em class="icon ni ni-cross"></em>
                </a>
                <div class="modal-header">
                    <h5 class="modal-title">Choix période du nouveau programme</h5>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-4">
                            <select class="form-select js-select2 month-select">
                                <option value="01">Janvier</option>
                                <option value="02">Février</option>
                                <option value="03">Mars</option>
                                <option value="04">Avril</option>
                                <option value="05">Mai</option>
                                <option value="06">Juin</option>
                                <option value="07">Juillet</option>
                                <option value="08">Août</option>
                                <option value="09">Septembre</option>
                                <option value="10">Octobre</option>
                                <option value="11">Novembre</option>
                                <option value="12">Décembre</option>

                            </select>
                        </div>
                        <div class="col-lg-4">
                            <select class="form-select js-select2 year-select">
                                <option value="2021">2021</option>
                                <option value="2022">2022</option>
                                <option value="2023">2023</option>
                                <option value="2024">2024</option>
                                <option value="2025" selected>2025</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer bg-light">
                    <a href="{{ path('app_meeting_weekend_program_create', {'month': 01, 'year': 2024}) }}" class="btn btn-success btn-create">Créer le programme</a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    <script>
        let month = '01';
        let year = '2024'
        let href = '/meeting/weekend/programs/create/' + month + '/' + year;
        $('.month-select').change(function (e) {
            month = $(this).val();
            href = '/meeting/weekend/programs/create/' + month + '/' + year;
            $('.btn-create').prop('href', href);
        })

        $('.year-select').change(function () {
            year = $(this).val();
            href = '/meeting/weekend/programs/create/' + month + '/' + year;
            $('.btn-create').prop('href', href);
        })

    </script>
{% endblock %}
